import request from '@/utils/request'

// 查询完播统计列表
export function listSopUseridlist(query) {
  return request({
    url: '/course/sop/list',
    method: 'get',
    params: query
  })
}

// 查询完播统计详细
export function getSopUseridlist(id) {
  return request({
    url: '/course/sop/' + id,
    method: 'get'
  })
}

// 新增完播统计
export function addSopUseridlist(data) {
  return request({
    url: '/course/sop',
    method: 'post',
    data: data
  })
}

// 修改完播统计
export function updateSopUseridlist(data) {
  return request({
    url: '/course/sop',
    method: 'put',
    data: data
  })
}

// 删除完播统计
export function delSopUseridlist(id) {
  return request({
    url: '/course/sop/' + id,
    method: 'delete'
  })
}

// 导出完播统计
export function exportSopUseridlist(query) {
  return request({
    url: '/course/sop/export',
    method: 'get',
    params: query
  })
}
